import { useAutoAnimate } from '@formkit/auto-animate/react';
import Prism from 'prismjs';
import React, { ComponentProps } from 'react';
type LineData = {
    line: string;
    key: string;
    anchor: number;
};
declare const getKeyDefault: (line: string) => string;
export declare const getHighlightedLines: (props: {
    value: string;
    grammar: Parameters<(typeof Prism)['highlight']>[1];
    language: Parameters<(typeof Prism)['highlight']>[2];
}) => string[];
export declare const getLinesData: (props: {
    value: string;
    getKey: typeof getKeyDefault;
}) => LineData[];
export default function CodeAnimate(props: {
    value: string;
    animationEnabled?: boolean;
    animationOptions?: Parameters<typeof useAutoAnimate>[0];
    grammar?: Parameters<(typeof Prism)['highlight']>[1];
    language?: Parameters<(typeof Prism)['highlight']>[2];
    getKey?: typeof getKeyDefault;
    checkSpecialLine?: (line: string) => boolean;
    renderSpecialLine?: (props: {
        line: string;
    }) => JSX.Element;
    maxAnchor?: number;
    innerProps?: ComponentProps<'code'>;
}): React.JSX.Element;
export {};
